<?php

/**
 * The plugin bootstrap file
 *
 *
 * @link              https://welaunch.io
 * @since             1.0.0
 * @package           WordPress_Form_Wizard
 *
 * @wordpress-plugin
 * Plugin Name:       WordPress Form Wizard
 * Plugin URI:        https://www.welaunch.io/en/product/wordpress-form-wizard/
 * Description:       Multi Step Forms, Guided Selling, Form Wizard for WordPress
 * Version:           1.0.2
 * Author:            weLaunch
 * Author URI:        https://welaunch.io
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wordpress-form-wizard
 * Domain Path:       /languages
 * WC tested up to:   5.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wordpress-form-wizard-activator.php
 */
function welaunch_wordpress_form_wizard_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wordpress-form-wizard-activator.php';
	$WordPress_Form_Wizard_Activator = new WordPress_Form_Wizard_Activator();
  $WordPress_Form_Wizard_Activator->activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wordpress-form-wizard-deactivator.php
 */
function welaunch_wordpress_form_wizard_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wordpress-form-wizard-deactivator.php';
	$WordPress_Form_Wizard_Deactivator = new WordPress_Form_Wizard_Deactivator();
  $WordPress_Form_Wizard_Deactivator->deactivate();
}

register_activation_hook( __FILE__, 'welaunch_wordpress_form_wizard_activate' );
register_deactivation_hook( __FILE__, 'welaunch_wordpress_form_wizard_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wordpress-form-wizard.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function welaunch_wordpress_form_wizard_run() {

	$plugin_data = get_plugin_data( __FILE__ );
	$version = $plugin_data['Version'];

	$plugin = new WordPress_Form_Wizard($version);
	$plugin->run();

	return $plugin;
}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( is_plugin_active('redux-dev-master/redux-framework.php') || is_plugin_active('redux-framework/redux-framework.php') || is_plugin_active('welaunch-framework/welaunch-framework.php')  ){
	$WordPress_Form_Wizard = welaunch_wordpress_form_wizard_run();
} else {
	add_action( 'admin_notices', 'welaunch_wordpress_form_wizard_installed_notice' );
}

function welaunch_wordpress_form_wizard_installed_notice()
{
	?>
    <div class="error">
      <p><?php esc_html_e( 'WordPress Form Wizard requires the weLaunch Framework plugin. Please install or activate them before: https://www.welaunch.io/updates/welaunch-framework.zip', 'wordpress-form-wizard'); ?></p>
    </div>
    <?php
}